> For the complete documentation index, see [llms.txt](https://docs.hyper-space.io/hyperspace-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/update_by_query.md).

# update\_by\_query

The function `update_by_query(collection_name, body)` updatesl documents according to the query conditions&#x20;

**Input-**&#x20;

* <mark style="color:purple;">collection\_name</mark> – Specifies the Collection with the documents to delete
* <mark style="color:purple;">body</mark>– The query that specifies the conditions for documents to be updated

**Example-**

{% tabs %}
{% tab title="Python" %}
{% code lineNumbers="true" %}

```python
hyperspace_client.delete_by_query(collection_name, 
                            body = {"query": {
                                        "bool": {
                                            "must": {
                                                    "term": {
                                                        "name": "John"
                                                    },
                                                }
                                        },
                                    "script": "ctx._source.name = 'Bob'",
                                    })

```

{% endcode %}
{% endtab %}

{% tab title="Java" %}

```javascript
String queryJson =
                  "{" +
                  "  \"query\": {" +
                  "    \"bool\": {" +
                  "      \"must\": [" +
                  "        {" +
                  "          \"term\":{" +
                  "            \"name\":\"John\"" +
                  "           }" +
                  "        }" +
                  "      ]" +
                  "    }" +
                  "  }" +
                  "script: "ctx._source.name = \"Bob\"",
                  "}";
                  
JsonObject query = JsonParser.parseString(queryJson).getAsJsonObject();
DeleteByQueryRequest queryRequest = new DeleteByQueryRequest();
queryRequest.setQuery(query);
DeleteByQueryResponse response = client.uodateByQuery(collectionName, queryRequest);
System.out.println(response.getTook());
System.out.println(response.getDeleted());
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
await client.updateByQuery({
    index: collectionName,
    body: {
        query: {
            bool: {
                must: [
                    {
                        term: {
                            name: "John"
                        },
                    }
                ]
            }
        },
        script: "ctx._source.name = \"Bob\"",
    }
});
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/update_by_query.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
